Bug 1130729 - KEYBOARD_KEY_0158 not mapped by hwdb entry
Summary: KEYBOARD_KEY_0158 not mapped by hwdb entry
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 20
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-17 05:13 UTC by Robin Green
Modified: 2015-06-29 22:05 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:05:58 UTC


Attachments (Terms of Use)

Description Robin Green 2014-08-17 05:13:55 UTC
Description of problem:
I have added lines to /lib/udev/hwdb.d/60-keyboard.hwdb to support the Toshiba Satellite C50-A. However, KEYBOARD_KEY_0158 remains mapped to an unknown key (as shown by sudo evtest), even though it is specified in that file.

Version-Release number of selected component (if applicable):
systemd-208-21.fc20.x86_64

How reproducible:
Always

Steps to Reproduce:
This is obviously on a Toshiba Satellite C50-A.

1. Add the following lines to /lib/udev/hwdb.d/60-keyboard.hwdb:

keyboard:name:Toshiba input device:dmi:bvn*:bvr*:bd*:svnTOSHIBA*:pnSATELLITEC50-A:pvr*
 KEYBOARD_KEY_013c=brightnessdown
 KEYBOARD_KEY_013d=brightnessup
 KEYBOARD_KEY_013e=switchvideomode
 KEYBOARD_KEY_013f=f21                                   # Touchpad toggle
 KEYBOARD_KEY_0157=! #mute
 KEYBOARD_KEY_0158=wlan                                  #disable wlan


2. sudo udevadm --debug hwdb --update
3. reboot
4. sudo evtest
5. Press Fn+F12

Actual results:
Testing ... (interrupt to exit)
Event: time 1408251833.117498, type 4 (EV_MSC), code 4 (MSC_SCAN), value 158
Event: time 1408251833.117498, type 1 (EV_KEY), code 240 (KEY_UNKNOWN), value 1
Event: time 1408251833.117498, -------------- SYN_REPORT ------------
Event: time 1408251833.117552, type 1 (EV_KEY), code 240 (KEY_UNKNOWN), value 0
Event: time 1408251833.117552, -------------- SYN_REPORT ------------
^@

Expected results:
Wifi should be disabled

Additional info:
kernel module toshiba_acpi is loaded and working. Some of the other key mappings above do work.

Comment 1 Zbigniew Jędrzejewski-Szmek 2014-10-12 20:53:00 UTC
Can you post the output of 'udevadm info /dev/input/eventX' (where eventX is the keyboard in question)?

Comment 2 Fedora End Of Life 2015-05-29 12:39:10 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 22:05:58 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.